---
http_interactions:
- request:
    method: post
    uri: "[GITLAB_DEV_API_ENDPOINT]/projects/gitlab%2Fomnibus-gitlab/variables"
    body:
      encoding: UTF-8
      string: key=PACKAGECLOUD_REPO&value=super_secret_repo
    headers:
      Accept:
      - application/json
      Private-Token:
      - "[GITLAB_DEV_API_PRIVATE_TOKEN]"
  response:
    status:
      code: 201
      message: Created
    headers:
      Server:
      - nginx
      Date:
      - Tue, 31 Jan 2017 01:56:38 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '55'
      Connection:
      - keep-alive
      Cache-Control:
      - max-age=0, private, must-revalidate
      Etag:
      - W/"29938956a72f79ee521eb583acd7bc21"
      Vary:
      - Origin
      X-Request-Id:
      - ae42c3db-129d-4139-9777-cc0c9f78a0e5
      X-Runtime:
      - '0.069602'
    body:
      encoding: UTF-8
      string: '{"key":"PACKAGECLOUD_REPO","value":"super_secret_repo"}'
    http_version:
  recorded_at: Tue, 31 Jan 2017 01:56:38 GMT
- request:
    method: delete
    uri: "[GITLAB_DEV_API_ENDPOINT]/projects/gitlab%2Fomnibus-gitlab/variables/PACKAGECLOUD_REPO"
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - application/json
      Private-Token:
      - "[GITLAB_DEV_API_PRIVATE_TOKEN]"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Tue, 31 Jan 2017 01:56:38 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '55'
      Connection:
      - keep-alive
      Cache-Control:
      - max-age=0, private, must-revalidate
      Etag:
      - W/"29938956a72f79ee521eb583acd7bc21"
      Vary:
      - Origin
      X-Request-Id:
      - 555627d2-2b72-4502-a193-ab001c5f7391
      X-Runtime:
      - '0.066199'
    body:
      encoding: UTF-8
      string: '{"key":"PACKAGECLOUD_REPO","value":"super_secret_repo"}'
    http_version:
  recorded_at: Tue, 31 Jan 2017 01:56:38 GMT
- request:
    method: get
    uri: "[GITLAB_DEV_API_ENDPOINT]/projects/gitlab%2Fomnibus-gitlab/variables/PACKAGECLOUD_REPO"
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept:
      - application/json
      Private-Token:
      - "[GITLAB_DEV_API_PRIVATE_TOKEN]"
  response:
    status:
      code: 404
      message: Not Found
    headers:
      Server:
      - nginx
      Date:
      - Tue, 31 Jan 2017 01:56:39 GMT
      Content-Type:
      - application/json
      Content-Length:
      - '36'
      Connection:
      - keep-alive
      Cache-Control:
      - no-cache
      Vary:
      - Origin
      X-Request-Id:
      - 60362767-530e-4d4f-9a27-8aed2be30605
      X-Runtime:
      - '0.035476'
    body:
      encoding: UTF-8
      string: '{"message":"404 Variable Not Found"}'
    http_version:
  recorded_at: Tue, 31 Jan 2017 01:56:39 GMT
recorded_with: VCR 2.9.3
